<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package horizzon
 */

?>

	</div><!-- #content -->

	<footer id="colophon" class="site-footer">
		<div class="site-info container">
			<div class="row">
				<div class="col-md-8">
					<h5><?php if (get_theme_mod( 'horizzon_footer_title_setting') != '' ) { ?>
							<?php echo esc_html(get_theme_mod( 'horizzon_footer_title_setting')); ?>
					<?php  }?></h5>
					<?php if (get_theme_mod( 'horizzon_footer_setting') != '' ) { ?>
							<p><?php echo esc_textarea(get_theme_mod( 'horizzon_footer_setting')); ?></p>
					<?php  }?>
				</div><!--.col-->
				<div class="col-md-4 contact-area">
					<h5><?php if (get_theme_mod( 'horizzon_contact_title_setting') != '' ) { ?>
							<?php echo esc_html(get_theme_mod( 'horizzon_contact_title_setting')); ?>
					<?php  }?></h5>

					<?php if (get_theme_mod( 'horizzon_contact_site_url_setting') != '' ) { ?>
							<span><?php echo esc_url(get_theme_mod( 'horizzon_contact_site_url_setting')); ?></span>
					<?php  }?>

					<?php if (get_theme_mod( 'horizzon_contact_address_setting') != '' ) { ?>
							<span><?php echo esc_html(get_theme_mod( 'horizzon_contact_address_setting')); ?></span>
					<?php  }?>

					<?php if (get_theme_mod( 'horizzon_contact_email_setting') != '' ) { ?>
							<span><?php echo esc_html(get_theme_mod( 'horizzon_contact_email_setting')); ?></span>
					<?php  }?>

					<?php if (get_theme_mod( 'horizzon_contact_phone_no_setting') != '' ) { ?>
							<span><?php echo esc_html(get_theme_mod( 'horizzon_contact_phone_no_setting')); ?></span>
					<?php  }?>
				</div><!--.col-->
			</div><!--.row-->
		
		</div><!-- .site-info -->
	</footer><!-- #colophon -->


<div class="footer-bottom">
	<div class="container">
		<div class="row">
			<div class="col-md-12 text-center">
					<div class="site-info">
					<a href="<?php echo esc_url( __( 'https://wordpress.org/', 'horizzon' ) ); ?>"><?php
						/* translators: %s: CMS name, i.e. WordPress. */
						printf( esc_html__( '&copy; Proudly powered by %s', 'horizzon' ), 'WordPress' );
					?></a>
					<span class="sep"> | </span>
					<?php
						/* translators: 1: Theme name, 2: Theme author. */
						printf( esc_html__( 'Theme: %1$s by %2$s.', 'horizzon' ), 'horizzon', '<a href="#">Qode Media</a>' );
					?>
				</div><!-- .site-info -->
			</div><!--.col-md-12-->			
		</div><!--.row-->
	</div><!--.container-->
</div><!--.footer-bottom-->
    <button id="back_top" aria-label="<?php esc_attr_e( 'Top', 'horizzon' ); ?>" value="<?php echo esc_attr_x( 'Top', 'top button', 'horizzon' ); ?>"><i class="fa fa-angle-up" aria-hidden="true"></i><span class="screen-reader-text"><?php echo esc_html_x( 'Top', 'top button', 'horizzon' ); ?></span></button>
    
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
