<?php
/**
 * The front page file
 *
 * This is the front page file in a WordPress theme
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package horizzon
 */

get_header(); ?>

<div>

<?php
		// Show the selected front page content.
		if ( have_posts() ) :
			while ( have_posts() ) :
				the_post();
				get_template_part( 'template-parts/content', 'front-page' );
			endwhile;
		else :
			get_template_part( 'template-parts/content', 'none' );
		endif;
		?>

<?php if (get_theme_mod( 'horizzon_feature_page_setting') != '' ) { 
	 $pageDataId =  esc_html(get_theme_mod( 'horizzon_feature_page_setting')); 

	 $the_query = new WP_Query( array( 'page_id' => $pageDataId ) );

	 if ( $the_query->have_posts() ) :
			/* Start the Loop */
	 while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
		<section id="bottom-banner">
			<div class="row row-flex">
				<?php $featured_img_url = esc_url(get_the_post_thumbnail_url(get_the_ID(),'full')); ?>
				<div class="col-md-5 fearure-image" style="background-image: url('<?php echo $featured_img_url; ?>');"></div>
				<div class="col-md-7">
					<h4><?php the_title(); ?></h4>
					<?php the_content();
						wp_link_pages( array(
						'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'horizzon' ),
						'after'  => '</div>',
						));
			 		?>
				</div>
			</div><!--row-->
		</section><!--#bottom-banner-->
		<?php endwhile;

	endif;	

 }?>

</div>
	
	<?php if (get_theme_mod( 'horizzon_feature_title_setting') != '' ) { ?>

	<h5 class="feature-heading text-center"><?php echo esc_html(get_theme_mod( 'horizzon_feature_title_setting')); ?></h5>

 <?php 	} ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main">
		<div class="row feature-category">

	<?php if (get_theme_mod( 'horizzon_feature_category_setting') != '' ) { 

			 $categoryId =  esc_html(get_theme_mod( 'horizzon_feature_category_setting')); 

			 $the_query = new WP_Query( array( 'category__in' => $categoryId ) );

			 if ( $the_query->have_posts() ) :
					/* Start the Loop */
			 while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
					
				<?php get_template_part( 'template-parts/content-home', get_post_format() ); ?>	

			<?php endwhile;

			endif;	

 	}?>
 
		</div><!--.row-->
		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_footer();
