<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package horizzon
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="site">

<?php if ( is_home() || is_front_page() ){  ?>
<div id="banner-image" style="background-image: url('<?php header_image(); ?>');">
	
<?php } else{ ?> 
	
	<div class="inner-page-background">	

<?php }  ?>

	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'horizzon' ); ?></a>
		
	<header id="masthead" class="site-header">
	<div class="container">
	 <div class="row"> 
	 	<div class="col-md-4 col-xs-12 text-center-xs">
		<div class="site-branding">
			<?php
			the_custom_logo();
			if ( is_front_page() && is_home() ) : ?>
				<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
			<?php else : ?>
				<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
			<?php
			endif;

			$description = get_bloginfo( 'description', 'display' );
			if ( $description || is_customize_preview() ) : ?>
				<p class="site-description"><?php echo $description; /* WPCS: xss ok. */ ?></p>
			<?php
			endif; ?>
		</div><!-- .site-branding -->
		</div><!--.col-->
	 	<div class="col-md-8 col-xs-12">

		<nav id="site-navigation" class="main-navigation">
			<button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><?php esc_html_e( 'Primary Menu', 'horizzon' ); ?></button>
			<?php
				wp_nav_menu( array(
					'theme_location' => 'menu-1',
					'menu_id'        => 'primary-menu',
				) );
			?>
		</nav><!-- #site-navigation -->
		</div><!--.col-->
	 </div><!--.row-->
	 </div><!--.container-->
	</header><!-- #masthead -->
<?php if ( is_home() || is_front_page() ){  ?>
	
	<div class="container">
	 <div class="row row-flex banner-row">
	 	<div class="col-md-4">
			<div id="banner_text">
	<?php

	/**
	 *
	 * @hooked horizzon banner text action - 10
	 */
	do_action( 'horizzon_banner_text_action_header' );

	?>
			</div><!--.banner_text-->
		</div><!--.col-->
		</div><!--.row-->
	</div><!--.container-->


</div><!--.banner-image-->
<?php }
	else
	{ ?>
		</div><!--.inner-page-background-->
 <?php	}

 ?>
	<div id="content" class="site-content container">
