<?php


/****feature page****/
function horizzon_customizer( $wp_customize ) {


    /* Text Panel */
    $wp_customize->add_panel( 'horizzon_banner_text_panel', array(
        'priority' => 200,
        'capability' => 'edit_theme_options',
        'title' => __( 'Banner text Options', 'horizzon' ),
        ) );

    $wp_customize->add_section( 'horizzon_banner_text_section', array(
        'priority'       => 170,
        'capability'     => 'edit_theme_options',
        'theme_supports' => '',
        'title'          => __( 'Banner Area', 'horizzon' ),
        'panel' => 'horizzon_banner_text_panel',
        ) );


    /*banner text enable*/
    $wp_customize->add_setting( 'horizzon_banner_text_options', array(
        'capability'        => 'edit_theme_options',
        'default'           => '',
        'sanitize_callback' => 'horizzon_sanitize_checkbox',
    ) );
    $wp_customize->add_control( 'horizzon_banner_theme_options', array(
        'label'     => __( 'Enable Banner Text Options', 'horizzon' ),
        'section'   => 'horizzon_banner_text_section',
        'settings'  => 'horizzon_banner_text_options',
        'type'      => 'checkbox'
    ) );


     /*Banner text*/
    $wp_customize->add_setting( 'horizzon_banner_text_setting', array(
        'capability'        => 'edit_theme_options',
        'transport' => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'wp_kses_post'
    ) );

    $wp_customize->add_control( 'horizzon_banner_text_control', array(
        'label'     => __( 'horizzon Banner text', 'horizzon' ),
        'description' => __('Enter your banner text here', 'horizzon'),
        'section'   => 'horizzon_banner_text_section',
        'settings'  => 'horizzon_banner_text_setting',
        'type'      => 'textarea',
        'priority'  => 20
    ) );

     /*Banner link*/
    $wp_customize->add_setting( 'horizzon_button_link_setting', array(
        'capability'        => 'edit_theme_options',
        'transport' => 'refresh',
        'default'           => '#',
        'sanitize_callback' => 'esc_url_raw'
    ) );

    $wp_customize->add_control( 'horizzon_button_link_control', array(
        'label'     => __( 'banner button link', 'horizzon' ),
        'description' => __('Enter your Banner button link here', 'horizzon'),
        'section'   => 'horizzon_banner_text_section',
        'settings'  => 'horizzon_button_link_setting',
        'type'      => 'url',
        'priority'  => 22
    ) );

     /*button text*/
    $wp_customize->add_setting( 'horizzon_button_button_text_setting', array(
        'capability'        => 'edit_theme_options',
        'transport' => 'refresh',
        'default'           => 'Read More',
        'sanitize_callback' => 'sanitize_text_field'
    ));

    $wp_customize->add_control( 'horizzon_banner_link_control', array(
        'label'     => __( 'banner text', 'horizzon' ),
        'description' => __('Enter your Banner button text here', 'horizzon'),
        'section'   => 'horizzon_banner_text_section',
        'settings'  => 'horizzon_button_button_text_setting',
        'type'      => 'text',
        'priority'  => 21
    ));

    /* feature Panel */
    $wp_customize->add_panel( 'horizzon_feature_page_panel', array(
        'priority' => 200,
        'capability' => 'edit_theme_options',
        'title' => __( 'Feature Page Options', 'horizzon' ),
        ) );

    $wp_customize->add_section( 'horizzon_feature_page_section', array(
        'priority'       => 170,
        'capability'     => 'edit_theme_options',
        'theme_supports' => '',
        'title'          => __( 'Featured Page', 'horizzon' ),
        'panel' => 'horizzon_feature_page_panel',
    ) );



    /*feature Title*/
    $wp_customize->add_setting( 'horizzon_feature_title_setting', array(
        'capability'        => 'edit_theme_options',
        'transport' => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( 'horizzon_feature_title_control', array(
       'description' => __('Please enter a Feature heading', 'horizzon'),
        'section'   => 'horizzon_feature_page_section',
        'settings'  => 'horizzon_feature_title_setting',
        'type'      => 'text',
        'priority'  => 20
    ) );


     /*feature page*/
    $wp_customize->add_setting( 'horizzon_feature_page_setting', array(
        'capability'        => 'edit_theme_options',
        'transport' => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'absint'
    ) );

    $wp_customize->add_control( 'horizzon_feature_page_control', array(
        'label'     => __( 'horizzon Feature Page', 'horizzon' ),
        'description' => __('Select your feature page , page should have feature image', 'horizzon'),
        'section'   => 'horizzon_feature_page_section',
        'settings'  => 'horizzon_feature_page_setting',
        'type'      => 'dropdown-pages',
        'priority'  => 18
    ) );

         /*feature category*/
    $wp_customize->add_setting( 'horizzon_feature_category_setting', array(
        'capability'        => 'edit_theme_options',
        'transport' => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'absint'
    ) );

    $wp_customize->add_control(
        new horizzon_Customize_Category_Dropdown_Control(
            $wp_customize,
            'horizzon_feature_category_setting',
            array(
                'label'     => __( 'Select your feature category', 'horizzon' ),
                'section'   => 'horizzon_feature_page_section',
                'settings'  => 'horizzon_feature_category_setting',
                'type'      => 'category_dropdown',
                'priority'  => 30
            )
        )
    );


    /* Theme Options */
    $wp_customize->add_panel( 'horizzon_footer_panel', array(
        'priority' => 200,
        'capability' => 'edit_theme_options',
        'title' => __( 'horizzon Footer Setting', 'horizzon' ),
        ) );
      
    $wp_customize->add_section( 'horizzon_footer_section', array(
        'priority'       => 170,
        'capability'     => 'edit_theme_options',
        'theme_supports' => '',
        'title'          => __( 'Footer Setting', 'horizzon' ),
        'panel' => 'horizzon_footer_panel',
    ) );

     /*Footer Title*/
    $wp_customize->add_setting( 'horizzon_footer_title_setting', array(
        'capability'        => 'edit_theme_options',
        'transport' => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( 'horizzon_footer_title_control', array(
       'description' => __('Please enter a heading about you', 'horizzon'),
        'section'   => 'horizzon_footer_section',
        'settings'  => 'horizzon_footer_title_setting',
        'type'      => 'text',
        'priority'  => 10
    ) );

     /*text area*/
    $wp_customize->add_setting( 'horizzon_footer_setting', array(
        'capability'        => 'edit_theme_options',
        'transport' => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( 'horizzon_footer_control', array(
        'description' => __('Please enter something about you', 'horizzon'),
        'section'   => 'horizzon_footer_section',
        'settings'  => 'horizzon_footer_setting',
        'type'      => 'textarea',
        'priority'  => 12
    ) );


     /*Contact Title*/
    $wp_customize->add_setting( 'horizzon_contact_title_setting', array(
        'capability'        => 'edit_theme_options',
        'transport' => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( 'horizzon_contact_title_control', array(
        'label'     => __( 'Contact Section', 'horizzon' ),
       'description' => __('Please enter a Contact title here', 'horizzon'),
        'section'   => 'horizzon_footer_section',
        'settings'  => 'horizzon_contact_title_setting',
        'type'      => 'text',
        'priority'  => 25
    ) );


      /*Contact site url*/
    $wp_customize->add_setting( 'horizzon_contact_site_url_setting', array(
        'capability'        => 'edit_theme_options',
        'transport' => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( 'horizzon_contact_site_url_control', array(
       'description' => __('Please enter a Site Url here', 'horizzon'),
        'section'   => 'horizzon_footer_section',
        'settings'  => 'horizzon_contact_site_url_setting',
        'type'      => 'text',
        'priority'  => 25
    ) );

     /*Contact address*/
    $wp_customize->add_setting( 'horizzon_contact_address_setting', array(
        'capability'        => 'edit_theme_options',
        'transport' => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( 'horizzon_contact_address_control', array(
       'description' => __('Please enter a address here', 'horizzon'),
        'section'   => 'horizzon_footer_section',
        'settings'  => 'horizzon_contact_address_setting',
        'type'      => 'text',
        'priority'  => 25
    ) );
    

    /*Contact Email id*/
    $wp_customize->add_setting( 'horizzon_contact_email_setting', array(
        'capability'        => 'edit_theme_options',
        'transport' => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( 'horizzon_contact_email_control', array(
       'description' => __('Please enter a email here', 'horizzon'),
        'section'   => 'horizzon_footer_section',
        'settings'  => 'horizzon_contact_email_setting',
        'type'      => 'text',
        'priority'  => 25
    ) );

     /*Contact Phone no*/
    $wp_customize->add_setting( 'horizzon_contact_phone_no_setting', array(
        'capability'        => 'edit_theme_options',
        'transport' => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( 'horizzon_contact_phone_no_control', array(
       'description' => __('Please enter a phone no here', 'horizzon'),
        'section'   => 'horizzon_footer_section',
        'settings'  => 'horizzon_contact_phone_no_setting',
        'type'      => 'text',
        'priority'  => 25
    ) );

       /* Theme Options */
    $wp_customize->add_panel( 'horizzon_primary_color_panel', array(
        'priority' => 200,
        'capability' => 'edit_theme_options',
        'title' => __( 'Default Setting', 'horizzon' ),
        ) );

    $wp_customize->add_section( 'horizzon_primary_color_section', array(
        'priority'       => 170,
        'capability'     => 'edit_theme_options',
        'theme_supports' => '',
        'title'          => __( 'Primary Color', 'horizzon' ),
        'panel' => 'horizzon_primary_color_panel',
    ) );

     /*primary color option*/
    $wp_customize->add_setting( 'horizzon_primary_color_setting', array(
        'default'              => '#2C98E4',
        'capability'           => 'edit_theme_options',
        'sanitize_callback'    => 'sanitize_hex_color',
        'sanitize_js_callback' => 'horizzon_color_escaping_option_sanitize',
    ) );


    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'horizzon_primary_color_setting', array(
        'label'    => __( 'This will reflect in links, buttons and many others. Choose a color to match your site', 'horizzon' ),
        'section'  => 'horizzon_primary_color_section',
        'settings' => 'horizzon_primary_color_setting',
    )) );

    
  }


add_action( 'customize_register', 'horizzon_customizer' );




