<?php
/**
 * horizzon Theme Customizer
 *
 * @package horizzon
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function horizzon_customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function horizzon_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function horizzon_customize_preview_js() {
	wp_enqueue_script( 'horizzon-customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20151215', true );
}
add_action( 'customize_preview_init', 'horizzon_customize_preview_js' );


/**
 * Sanitizing the checkbox
 *
 * @since horizzon 1.0.0
 *
 * @param $checked
 * @return Boolean
 *
 */
if ( !function_exists('horizzon_sanitize_checkbox') ) :
	function horizzon_sanitize_checkbox( $checked ) {
		// Boolean check.
		return ( ( isset( $checked ) && true == $checked ) ? true : false );
	}
endif;