<?php

/****************************************************************************************/

/**
 * Generate darker color
 * Source: http://stackoverflow.com/questions/3512311/how-to-generate-lighter-darker-color-with-php
 */
function horizzon_darkcolor( $hex, $steps ) {
	// Steps should be between -255 and 255. Negative = darker, positive = lighter
	$steps = max( - 255, min( 255, $steps ) );

	// Normalize into a six character long hex string
	$hex = str_replace( '#', '', $hex );
	if ( strlen( $hex ) == 3 ) {
		$hex = str_repeat( substr( $hex, 0, 1 ), 2 ) . str_repeat( substr( $hex, 1, 1 ), 2 ) . str_repeat( substr( $hex, 2, 1 ), 2 );
	}

	// Split into three parts: R, G and B
	$color_parts = str_split( $hex, 2 );
	$return      = '#';

	foreach ( $color_parts as $color ) {
		$color  = hexdec( $color ); // Convert to decimal
		$color  = max( 0, min( 255, $color + $steps ) ); // Adjust color
		$return .= str_pad( dechex( $color ), 2, '0', STR_PAD_LEFT ); // Make two char hex code
	}

	return $return;
}

/****************************************************************************************/


add_action( 'wp_head', 'horizzon_custom_css', 100 );
/**
 * Hooks the Custom Internal CSS to head section
 */
function horizzon_custom_css() {
	$horizzon_internal_css = '';
	$primary_color         = esc_html(get_theme_mod( 'horizzon_primary_color_setting', '#2C98E4' ));
	$primary_dark          = horizzon_darkcolor( $primary_color, - 30 );
	if ( $primary_color != '#2C98E4' ) {


		$horizzon_internal_css .= '#primary-menu ul.sub-menu li:hover,#banner_text a, .footer-bottom{background-color:' . $primary_color . '}';

	}

	if ( ! empty( $horizzon_internal_css ) ) {
		echo '<!-- ' . get_bloginfo( 'name' ) . ' Internal Styles -->';
		?>
		<style type="text/css"><?php echo $horizzon_internal_css; ?></style>
		<?php
	}
}

?>